MODULE modulePeople

  TYPE, PUBLIC:: classPerson
    CHARACTER(:), ALLOCATABLE:: name
    INTEGER:: age
    CHARACTER(LEN=1):: gender
    LOGICAL:: married
    CONTAINS
      PROCEDURE, PASS:: output => outputPerson

  END TYPE classPerson

  CONTAINS
    SUBROUTINE outputPerson(self)
      IMPLICIT NONE
      CLASS(classPerson), INTENT(in):: self

      WRITE (*, '(A9,6X,I4,8X,A2,8X,L2,1X)') self%name, self%age, self%gender, self%married

    END SUBROUTINE outputPerson


END MODULE modulePeople
