PROGRAM tree
  IMPLICIT NONE

  CHARACTER(LEN=9), ALLOCATABLE, DIMENSION(:):: name
  INTEGER, ALLOCATABLE, DIMENSION(:):: age
  CHARACTER(LEN=1), ALLOCATABLE, DIMENSION(:):: gender
  LOGICAL, ALLOCATABLE, DIMENSION(:):: married
  INTEGER:: numPeople=3
  INTEGER:: i

  ALLOCATE(name(1:numPeople), age(1:numPeople), gender(1:numPeople), married(1:numPeople))

  !Albert
  name(1)    = 'Albert'
  age(1)     = 16
  gender(1)  = 'M'
  married(1) = .FALSE.
  !Maria
  name(2)    = 'Maria'
  age(2)     = 46
  gender(2)  = 'F'
  married(2) = .TRUE.
  !Joan
  name(3)    = 'Joan'
  age(3)     = 44
  gender(3)  = 'M'
  married(3) = .TRUE.

  WRITE (*, '(A9,1X,A9,1X,A9,1X,A9,1X)') 'Name', 'Age', 'Gender', 'Married'
  WRITE (*, '(A40)') REPEAT('-',40)
  DO i = 1, numPeople
    WRITE (*, '(A9,6X,I4,8X,A2,8X,L2,1X)') name(i), age(i), gender(i), married(i)

  END DO

END PROGRAM tree

